# Study Card Tool

A handy tool for vocabulay study and learning through repetition.

## License

GNU Affero General Public License version 3.0: https://www.gnu.org/licenses/agpl-3.0.en.html

## Development requirements

- node 14 or later: https://nodejs.org/en/
- yarn 1.22 or later: https://yarnpkg.com/

## Running a develpoment environment

1. Clone repository: `git clone https://git.studycardtool.org/studycardtool/app.git studycardtool`
1. Enter local repository folder: `cd studycardtool`
1. Install dependencies: `yarn`
1. Run development mode: `yarn start`

## Deploying your own

It should be possible to host studycardtool in any static file server.

1. Run `yarn build` to generate a build folder
1. Deploy contents of `build` folder onto a static server

If you need further advice you could can check the "start a website" tutorial at https://landchad.net/

## Contributing

Register onto this gitea service either through a local account or a federated account. Bug reports, comments, design ideas and code contributions are welcome.

Ideally this project will stay a small tool focused on a single purpose.
